﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace Phone逻辑删除
{
    [DataContract]
    public class ViewModel : INotifyPropertyChanged
    {
        private string _textBox1Text;
        private bool _checkBox1IsChecked;
        private bool _radioButton1IsChecked;
        private bool _radioButton2IsChecked;
        private double _slider1Value;

        [DataMember]
        public string TextBox1Text
        {
            get { return _textBox1Text; }
            set
            {
                _textBox1Text = value;
                NotifyPropertyChanged("TextBox1Text");
            }
        }

        [DataMember]
        public bool CheckBox1IsChecked
        {
            get { return _checkBox1IsChecked; }
            set
            {
                _checkBox1IsChecked = value;
                NotifyPropertyChanged("CheckBox1IsChecked");
            }
        }

        [DataMember]
        public double Slider1Value
        {
            get { return _slider1Value; }
            set
            {
                _slider1Value = value;
                NotifyPropertyChanged("Slider1Value");
            }
        }

        [DataMember]
        public bool RadioButton1IsChecked
        {
            get { return _radioButton1IsChecked; }
            set
            {
                _radioButton1IsChecked = value;
                NotifyPropertyChanged("RadioButton1IsChecked");
            }
        }

        [DataMember]
        public bool RadioButton2IsChecked
        {
            get { return _radioButton2IsChecked; }
            set
            {
                _radioButton2IsChecked = value;
                NotifyPropertyChanged("RadioButton2IsChecked");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void NotifyPropertyChanged(string propertyName)
        {
            if (null != PropertyChanged)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }

    }
}
